Bug 467145 - clean_ids should not remove comments
clean_ids should not remove comments
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 19:10 EDT by Jeff Fearn
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2008-10-15 19:10:41 EDT
Description of problem:
The clean_ids make target currently removes comments from the XML when processing.

Version-Release number of selected component (if applicable):
publican-0.37

How reproducible:
Always

Steps to Reproduce:
1. Add a comment using <!-- format to an XML file
2. make clean_ids
  
Actual results:
Comments are removed from source XML

Expected results:
Comments should remain in XML.

Additional info:
Comment 1 Jeff Fearn 2008-10-15 22:15:32 EDT
Modified xmlClean to store_comments.
Comment 2 Fedora Update System 2008-10-16 18:44:03 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 3 Fedora Update System 2008-11-06 21:55:22 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.